package com.nto.presentation.screens.profileScreen

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import androidx.navigation.NavController
import com.nto.data.utils.Destinations
import com.nto.domain.usecase.ProfileUseCase
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class ProfileViewModel @Inject constructor(private val useCase: ProfileUseCase) : ViewModel() {
    private val _state = MutableStateFlow(ProfileState())

    val state: StateFlow<ProfileState>
        get() = _state.asStateFlow()

    fun updateInfo(){
        viewModelScope.launch(Dispatchers.IO) {
            val result = useCase.getInfo()
        }
    }

    fun admin(navController: NavController) {
        //TODO
    }

    fun logout(navController: NavController) {
        //TODO
    }

    fun scan(navController: NavController) {
        navController.navigate(Destinations.Scan)
    }

    fun option(navController: NavController) {
        navController.navigate(Destinations.Options)
    }

    init {

    }
}